SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Macros
DR_SHA1.h File Reference
`#include "memoryoverride.h"`
`#include <stdio.h>`
`#include <memory.h>`
`#include <string.h>`
`#include "Export.h"`
`#include <limits.h>`
`#include <string>`

Go to the source code of this file.

## Classes

union | SHA1_WORKSPACE_BLOCK
class | CSHA1

## Macros

#define | SHA1_LENGTH 20
#define | SHA1_UTILITY_FUNCTIONS
#define | SHA1_STL_FUNCTIONS
#define | SHA1_LITTLE_ENDIAN
#define | SHA1_WIPE_VARIABLES
#define | TCHAR char
#define | _T(__x) (__x)
#define | _tmain main
#define | _tprintf printf
#define | _getts gets
#define | _tcslen strlen
#define | _tfopen fopen
#define | _tcscpy strcpy
#define | _tcscat strcat
#define | _sntprintf snprintf
#define | UINT_8 unsigned char
#define | UINT_32 unsigned int
#define | INT_64 long long
#define | UINT_64 unsigned long long

## Class Documentation

union SHA1_WORKSPACE_BLOCK

Definition at line 240 of file DR_SHA1.h.

Class Members
UINT_8 | c |
UINT_32 | l |

## Macro Definition Documentation

#define _getts gets

Definition at line 188 of file DR_SHA1.h.

#define _sntprintf snprintf

Definition at line 193 of file DR_SHA1.h.

#define _T | ( |  | __x | ) | (__x)

Definition at line 185 of file DR_SHA1.h.

#define _tcscat strcat

Definition at line 192 of file DR_SHA1.h.

#define _tcscpy strcpy

Definition at line 191 of file DR_SHA1.h.

#define _tcslen strlen

Definition at line 189 of file DR_SHA1.h.

#define _tfopen fopen

Definition at line 190 of file DR_SHA1.h.

#define _tmain main

Definition at line 186 of file DR_SHA1.h.

#define _tprintf printf

Definition at line 187 of file DR_SHA1.h.

#define INT_64 long long

Definition at line 225 of file DR_SHA1.h.

#define SHA1_LENGTH 20

Definition at line 127 of file DR_SHA1.h.

Referenced by CSHA1::HMAC().

#define SHA1_LITTLE_ENDIAN

Definition at line 165 of file DR_SHA1.h.

#define SHA1_STL_FUNCTIONS

Definition at line 136 of file DR_SHA1.h.

#define SHA1_UTILITY_FUNCTIONS

Definition at line 132 of file DR_SHA1.h.

#define SHA1_WIPE_VARIABLES

Definition at line 172 of file DR_SHA1.h.

#define TCHAR char

Definition at line 182 of file DR_SHA1.h.

#define UINT_32 unsigned int

Definition at line 216 of file DR_SHA1.h.

Referenced by CSHA1::Final(), and CSHA1::Update().

#define UINT_64 unsigned long long

Definition at line 233 of file DR_SHA1.h.

#define UINT_8 unsigned char

Definition at line 205 of file DR_SHA1.h.

Referenced by CSHA1::Final().